CREATE TABLE hrsa_hrm_snapshot  (
ID NUMBER(38,0) primary key  NOT NULL,
snapshot_time date,
employee_id NUMBER(38,0),
loginid varchar2(100),
LASTNAME varchar2(60),
SEX char(1),
BIRTHDAY char(10) ,
NATIONALITY int ,
MARITALSTATUS char(1) ,
TELEPHONE varchar2(60),
MOBILE varchar2(60) ,
MOBILECALL varchar2(60) ,
EMAIL varchar2(60),
LOCATIONID int,
WORKROOM varchar2(60),
HOMEADDRESS varchar2(100),
RESOURCETYPE char(1) ,
STARTDATE char(10) ,
ENDDATE char(10),
JOBTITLE int ,
JOBTITLENAME varchar2(200) ,
JOBACTIVITYDESC varchar2(200),
JOBLEVEL int ,
SECLEVEL int ,
DEPARTMENTID int ,
DEPARTMENTNAME varchar2(200) ,
SUBCOMPANYID1 int ,
SUBCOMPANYNAME varchar2(200) ,
COSTCENTERID int ,
MANAGERID int ,
ASSISTANTID int,
BANKID1 int ,
ACCOUNTID1 varchar2(100) ,
LASTLOGINDATE char(10) ,
CERTIFICATENUM varchar2(60) ,
NATIVEPLACE varchar2(100) ,
EDUCATIONLEVEL int ,
BEMEMBERDATE char(10) ,
BEPARTYDATE char(10) ,
WORKCODE varchar2(60) ,
REGRESIDENTPLACE varchar2(200) ,
HEALTHINFO char(1) ,
RESIDENTPLACE varchar2(200) ,
POLICY varchar2(30) ,
DEGREE varchar2(30) ,
USEKIND int ,
JOBCALL int ,
jobcallname varchar2(200) ,
ACCUMFUNDACCOUNT varchar2(30),
BIRTHPLACE varchar2(60) ,
FOLK varchar2(30) ,
RESIDENTPHONE varchar2(60) ,
RESIDENTPOSTCODE varchar2(60) ,
EXTPHONE varchar2(50) ,
MANAGERSTR varchar2(500),
STATUS int ,
FAX varchar2(60) ,
ISLABOUUNION char(1),
TEMPRESIDENTNUMBER varchar2(60),
PROBATIONENDDATE char(10),
COUNTRYID int ,
ACCOUNTTYPE int ,
BELONGTO int ,
ACCOUNTNAME varchar2(200) ,
companystartdate varchar2(10),
workstartdate varchar2(10) ,
companyworkyear number ,
workyear number
);
/

